The Official Sequential/DSI Forum

Wanting opinions on which OS version to use moving forward

Wanting opinions on which OS version to use moving forward
« on: March 16, 2017, 11:27:20 AM »
Hello everyone! First post here, but I have been a Tempest owner for several years. I have read through several of the threads about the latest beta OS versions' fixes and issues. I am still using the last 'official' 1.4 OS that is provided from the Tempest product page. Based on what I have read, it seems that DSI and Roger have addressed quite a few items in the latest beta versions, but there are still a few outstanding issues that will apparently not be address moving forward. So, I am asking for opinions on whether to keep 1.4 or update with the final beta version. I realize there is significant controversy around this topic and many forum threads on that already. Please keep the focus of this thread on the pros and cons of the OS versions, so I am able to make an informed decision based on users' experience. Much thanks!

dsetto

  • ***
  • 382
Re: Wanting opinions on which OS version to use moving forward
« Reply #1 on: March 16, 2017, 12:09:09 PM »
The pro of using this last beta, 1.4.5.1 is that it is very much usable, and it is what DSI believes to be final. The more that use it, the more chances we can assure it is ship-tight.
__
Ignore the controversy. My opinion is the water is warm enough. Is there something you need that is available in 1.4 and not in the last beta, 1.4.5.1? If so, is it available in some other post 1.4 beta?

I had a MIDI DIN issue in 1.4 and in 1.4.3beta. I had a file management issue in 1.4.3beta. I had some other UI quirky things in 1.4.3beta.

So far, in my very limited use of 1.4.5.1, it seems solid for basic sequencing, Playlist creation, and SPP matters in DAW-syncing via USB. And I haven't observed the quirky UI things I had seen in 1.4.3beta yet.

Re: Wanting opinions on which OS version to use moving forward
« Reply #2 on: March 16, 2017, 02:47:05 PM »
Hello everyone! First post here, but I have been a Tempest owner for several years. I have read through several of the threads about the latest beta OS versions' fixes and issues. I am still using the last 'official' 1.4 OS that is provided from the Tempest product page. Based on what I have read, it seems that DSI and Roger have addressed quite a few items in the latest beta versions, but there are still a few outstanding issues that will apparently not be address moving forward. So, I am asking for opinions on whether to keep 1.4 or update with the final beta version. I realize there is significant controversy around this topic and many forum threads on that already. Please keep the focus of this thread on the pros and cons of the OS versions, so I am able to make an informed decision based on users' experience. Much thanks!

The last several betas have been a vast improvement over OS 1.4.  Both 1.4.4bb and 1.4.5.1 have proven stable, and otherwise fix dozens of bugs, some of which would be considered critical.  Whether or not we see any improvements from here, who knows; but it's my opinion that you'd be silly not to update and take advantage of these bug fixes.

Cheers!

Stoss

  • **
  • 167
Re: Wanting opinions on which OS version to use moving forward
« Reply #3 on: March 16, 2017, 04:32:09 PM »
<moderator edit - please keep comments constructive and on topic>

<owner edit - was a very innocent little bit of humor>

<owner edit - whoops... we've lost a few comments on this thread that were all pretty funny>

<owner edit - shall we just delete this comment as well and clean the whole thing up?>
« Last Edit: March 16, 2017, 05:59:16 PM by Stoss »

Re: Wanting opinions on which OS version to use moving forward
« Reply #4 on: March 18, 2017, 06:08:17 AM »
Thanks for the replies. Based on the info I read, it seemed like the final beta was the way to go. But, I just wanted to confirm with some folks that had been active with beta versions that there were not any major 'gotcha' issues.